Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Interface UnivariateRealInterpolator

All Known Implementing Classes:
  DividedDifferenceInterpolator, LinearInterpolator, LoessInterpolator, NevilleInterpolator, SplineInterpolator

    public interface UnivariateRealInterpolator

Interface representing a univariate real interpolating function.

Version:
  $Revision: 821626 $ $Date: 2009-10-04 23:57:30 +0200 (dim. 04 oct. 2009) $

Method Summary
`UnivariateRealFunction` | `interpolate(double[] xval, double[] yval)` Computes an interpolating function for the data set.

Method Detail

### interpolate

    UnivariateRealFunction interpolate(double[] xval,
                                       double[] yval)
                                       throws MathException

  Computes an interpolating function for the data set.

  Parameters:
    `xval` - the arguments for the interpolation points
    `yval` - the values for the interpolation points
  Returns:
    a function which interpolates the data set
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolation algorithm

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation